FROM erlang:25.3

RUN mkdir -p /usr/local/var/mnesia/

ADD _build/default/rel/iot/iot-0.1.0.tar.gz /data/iot/

VOLUME /data/iot/log/
VOLUME /usr/local/var/mnesia/

WORKDIR /data/iot

CMD /data/iot/bin/iot foreground